Update a Task
curl --request PUT \
--url https://api.domo.com/v1/projects/{PROJECT_ID}/lists/{LIST_ID}/tasks/{TASK_ID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3",
"projectId": "2",
"projectListId": "4",
"taskName": "Project Scaffolding and Infrastructure",
"priority": 3,
"contributors": [
27
],
"tags": [],
"archived": false
}
'import requests
url = "https://api.domo.com/v1/projects/{PROJECT_ID}/lists/{LIST_ID}/tasks/{TASK_ID}"
payload = {
"id": "3",
"projectId": "2",
"projectListId": "4",
"taskName": "Project Scaffolding and Infrastructure",
"priority": 3,
"contributors": [27],
"tags": [],
"archived": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3',
projectId: '2',
projectListId: '4',
taskName: 'Project Scaffolding and Infrastructure',
priority: 3,
contributors: [27],
tags: [],
archived: false
})
};
fetch('https://api.domo.com/v1/projects/{PROJECT_ID}/lists/{LIST_ID}/tasks/{TASK_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3",
"projectId": "2",
"projectListId": "4",
"taskName": "Project Scaffolding and Infrastructure",
"createdDate": "2018-08-01T07:00:00Z",
"updatedDate": "2018-08-01T08:00:00Z",
"priority": 3,
"createdBy": 27,
"ownedBy": 27,
"contributors": [
27
],
"attachmentCount": 0,
"tags": [],
"archived": false
}Projects and Tasks API
Update a Task
Update the details of a task given an existing project id, list id, and task id.
PUT
/
v1
/
projects
/
{PROJECT_ID}
/
lists
/
{LIST_ID}
/
tasks
/
{TASK_ID}
Update a Task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the project
The ID of the list
The ID of the task
Query Parameters
The name of the task
An optional description of the task
The date the task is expected to be completed
Priority of task within a list. Setting this property will impact the index of other tasks in the list to maintain sequential order.
The ID of the Domo user that owns the task
An array of user IDs that are assigned as contributors to the task
An array of tags that have been assigned to the task
Body
application/json
The request body accepts a task object.
⌘I